2019-12-07 05:19 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005384Spring engineGeneralpublic2016-11-05 18:20
Reporterdansan 
Assigned Tohokomoko 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version103.0 
Target VersionFixed in Version 
Summary0005384: winningAllyTeams in demofiles is always '0'
DescriptionFor a while now the char(int) stored at (headerSize + scriptSize + demoStreamSize) is (almost) always '0'.

Analyzing demofiles on the replay site, the following winningAllyTeams were found:
'2012': '0': 5232, '1': 5315,
'2013': '0': 13168, '1': 11048,
'2014': '0': 14621, '1': 10311,
'2015': '0': 18149, '1': 6388,
'2016': '0': 18615, '1': 403,

It indicates that a change in 2015 broke something (the position or the number?).
Steps To ReproduceA demofile that has this problem is available here: http://replays.springrts.com/replay/f7e918588fdf6524903a7d46f3a5c0d3/
Additional InformationBugs that I found that look related:
* https://springrts.com/mantis/view.php?id=2018
* https://springrts.com/mantis/view.php?id=4939
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016845

hokomoko (developer)

Fix de711393a19d29b0998c89f5b4eaa8a604e51573 committed to develop branch: Fix 0005384

print more info in DemoRecorder too., repo: spring changeset id: 7583
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-11-01 23:49 dansan New Issue
2016-11-05 18:20 hokomoko Changeset attached => spring develop de711393
2016-11-05 18:20 hokomoko Note Added: 0016845
2016-11-05 18:20 hokomoko Assigned To => hokomoko
2016-11-05 18:20 hokomoko Status new => resolved
2016-11-05 18:20 hokomoko Resolution open => fixed
+Issue History